﻿@using SSCMvc.Webutil;
@using SSCMvc.Models;
@model IEnumerable<SSCMvc.Models.Tb_StudLeave>
<script type="text/javascript">
    $(document).ready(function () {
        $("button").hide();

    });
    
</script>
<div class="well">
    <table class="table">
        <thead>
            <tr>
                <th>
                    Name
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.FromDate)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.ToDate)
                </th>
                <th>
                  User
                </th>
                <th>
                </th>
            </tr>
        </thead>
        <tbody>
            @{int i = 0;
              string bgcolor = "oddrow";
            }
            @foreach (var item in Model)
            {
                if (i % 2 == 0)
                {
                    bgcolor = "evenrow";
                }
                else
                {
                    bgcolor = "oddrow";
                }
                i++;
                <tr class="@bgcolor">
                    <td>
                        @Html.DisplayFor(modelItem => item.MaAdmission.FirstName) &nbsp;
                        @Html.DisplayFor(modelItem => item.MaAdmission.LastName)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.FromDate)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.ToDate)
                    </td>
                    <td>
                        @{
                            SSCWebDBEntities1 db = new SSCWebDBEntities1();
                            int Userid = Convert.ToInt32(Request.Cookies[CommonUtil.CookieUserid].Value);
                            string username = "";
                            int? userid = item.UserId;
                            if (userid > 0)
                            {
                                username = db.Users.Where(z => z.Id == userid).Select(z => z.Fullname).First();
                            }
                        }
                        @username
                    </td>
                    @* <td>
                                @Html.ImageActionLink("../../Content/themes/base/images/Edit.png", "Edit", "Edit", new { id = item.Id })|
                                  @Html.ImageActionLink("../../Content/themes/base/images/Delete.png", "Delete", "Delete", "TbStudLeave", new { id = item.Id }, new { @class = "delete-link" }, null)
                                @Html.ImageActionLink("../../Content/themes/base/images/Detail.png", "Detail", "Details", new { id = item.Id })
                            </td>*@
                </tr>
            }
        </tbody>
    </table>
</div>
